apiVersion: v1
kind: PersistentVolume
metadata:
  name: radarr-config-pv
  namespace: stack-arr
spec:
  capacity:
    storage: 2Gi
  storageClassName: radarr-nfs-csi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.1.22
    path: /mnt/fenix-main-nas-pool-0/data/k8s-Volumes/k8s-cluster-iac-deployed/stack-arr/radarr/config
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: radarr-config-pvc
  namespace: stack-arr
spec:
  storageClassName: radarr-nfs-csi
  accessModes:
    - ReadWriteOnce
  volumeName: radarr-config-pv
  resources:
    requests:
      storage: 2Gi
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: radarr-movie-pv
  namespace: stack-arr
spec:
  capacity:
    storage: 50Gi
  storageClassName: radarr-movie-nfs-csi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.1.22
    path: /mnt/fenix-main-nas-pool-0/data/Filmes_e_Series/Filmes
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: radarr-movie-pvc
  namespace: stack-arr
spec:
  storageClassName: radarr-movie-nfs-csi
  accessModes:
    - ReadWriteOnce
  volumeName: radarr-movie-pv
  resources:
    requests:
      storage: 50Gi
---